<h2 class="content-block">Tasks</h2>

<dx-data-grid class="dx-card wide-card"
  [dataSource]="dataSource"
  [showBorders]="false"
  [focusedRowEnabled]="true"
  [focusedRowIndex]="0"
  [columnAutoWidth]="true"
  [columnHidingEnabled]="true" keyExpr="id" (onRowDblClick)="openBook($event)">

  <dxo-paging [pageSize]="20"></dxo-paging>
  <dxo-pager [showPageSizeSelector]="true" [showInfo]="true"></dxo-pager>
  <dxo-filter-row [visible]="true"></dxo-filter-row>

  <dxi-column dataField="id" caption="ID"></dxi-column>
  <dxi-column dataField="isbn" caption="ISBN"></dxi-column>
  <dxi-column dataField="title" caption="Titel"></dxi-column>
  <dxi-column dataField="authors" caption="Auteurs"></dxi-column>
  <dxi-column dataField="publishdDate" caption="Uitgeefdatum"></dxi-column>
  <dxi-column dataField="borrowed" caption="Uitgeleend"></dxi-column>
</dx-data-grid>

<dx-popup *ngIf="showDetail" [(visible)]="showDetail" [closeOnOutsideClick]="true" [showCloseButton]="true">
  <app-book-detail [bookId]="bookId" [inPopup]="true" (closePopup)="bookChanged()"></app-book-detail>
</dx-popup>
